Skip to content

Get Pending Batches

Get a list of pending batches.

Pending batches are those scheduled to be sent in the future, that are currently holding credits (only relevant if using the credit system).

Request

Endpoint

Messaging Plus expects a POST request

GET https://mplus.instagiv.com/batch

Query strings

KeyRequiredDescriptionExample
keytrueAccount API key?key=aaaabbbbcccc111222333

Response

Body

json
{
    "batches": [
        {
            "identifier": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "at": "2026-01-01T12:30:00Z",
            "from": "mplus-test",
            "messagecount": 1,
            "unitcount": 3
        }
    ]
}
json
{
    "batches": [
        {
            "identifier": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "at": "2030-01-01T12:30:00Z",
            "from": "mplus-test",
            "messagecount": 1,
            "unitcount": 3
        },
        {
            "identifier": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "at": "2035-01-01T17:45:00Z",
            "from": "mplus-test",
            "messagecount": 200,
            "unitcount": 2
        },
        {
            "identifier": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "at": "2086-01-01T09:30:00Z",
            "from": "mplus-test",
            "messagecount": 5,
            "unitcount": 1
        }
    ]
}

Body parameters

KeyExpected valueDescription
identifierstringThe batch uuid
atstringISO 8601 timestamp representing when this batch is scheduled to be sent
fromstringSender ID this batch will be sent from
messagecountintegerNumber of messages to be sent in this batch
unitcountstringNumber of units (message parts) each message in this batch will consume

Messaging Plus is a Cymba API